org.apache.commons.ssl.asn1

## Class ASN1Generator

- java.lang.Object
- - org.apache.commons.ssl.asn1.ASN1Generator

Direct Known Subclasses:
  BERGenerator, DERGenerator

    public abstract class ASN1Generator
    extends java.lang.Object

### Field Summary

Fields
`protected java.io.OutputStream` `_out`

### Constructor Summary

Constructors
Constructor and Description
`ASN1Generator(java.io.OutputStream out)`

### Method Summary

Methods
`abstract java.io.OutputStream` `getRawOutputStream()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### _out

    protected java.io.OutputStream _out

### Constructor Detail

#### ASN1Generator

    public ASN1Generator(java.io.OutputStream out)

### Method Detail

#### getRawOutputStream

    public abstract java.io.OutputStream getRawOutputStream()